1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83
|
Author: Nicholas Bamber <nicholas@periapt.co.uk>
Subject: test integration
We always want to run the tests even if our platform is not
in the database of validated platforms. And the NFS based
test has no chance of success in a bare Debian machine.
Forwarded: not-needed
Last-Update: 2012-04-18
--- a/tests/Makefile
+++ b/tests/Makefile
@@ -10,7 +10,7 @@ CFLAGS= ${DEBUG} -I. -I.. -I../include
HDR= LsofTest.h
-CKTSTDB= CkTestDB
+CKTSTDB= true
CONFCFL= ./config.cflags
CONFIG= ./config.cc ${CONFCFL} ./config.xobj
LTOBJ= LTlib.o
@@ -19,13 +19,14 @@ LIBOBJ= ${LTOBJ}
BASTST= LTbasic
STDTST= LTnlink LTsock LTszoff LTunix
-OPTTST= LTbigf LTdnlc LTlock LTnfs
+OPTTST= LTbigf LTdnlc LTlock
-all: ${CKTSTDB} ${BASTST} ${STDTST} FRC
- @./${CKTSTDB}; xv=$$?; \
+all: ${BASTST} ${STDTST} FRC
+ @${CKTSTDB}; xv=$$?; \
if [ $$xv -ne 0 ]; then \
exit 1 ;\
fi
+ @pwd
@rm -f config.LT*
@err=0; \
echo ""; \
@@ -62,8 +63,8 @@ all: ${CKTSTDB} ${BASTST} ${STDTST} FRC
auto: ckDB silent FRC
-ckDB: ${CKTSTDB} FRC
- @echo "" | ./${CKTSTDB}; xv=$$?; \
+ckDB: FRC
+ @echo "" | ${CKTSTDB}; xv=$$?; \
if [ $$xv -ne 0 ]; then \
exit 1 ;\
fi
@@ -113,7 +114,7 @@ LTunix: LTunix.c ${CONFIG} ${LIBOBJ} ${H
`cat config.cc` ${CFLAGS} `cat config.cflags` LTunix.c \
${LIBOBJ} `cat config.xobj` -o LTunix `cat config.ldflags`
-opt: ${CKTSTDB} ${OPTTST} FRC
+opt: ${OPTTST} FRC
@rm -f config.LT*
@err=0; \
echo ""; \
--- a/Makefile.am
+++ b/Makefile.am
@@ -150,15 +150,12 @@ LINUX_TESTS = lib/dialects/linux/tests/c
lib/dialects/linux/tests/case-20-inet6-ffffffff-handling.bash \
lib/dialects/linux/tests/case-20-inet6-socket-endpoint.bash \
lib/dialects/linux/tests/case-20-inet-socket-endpoint.bash \
- lib/dialects/linux/tests/case-20-mmap.bash \
- lib/dialects/linux/tests/case-20-mqueue-endpoint.bash \
lib/dialects/linux/tests/case-20-open-flags-cx.bash \
lib/dialects/linux/tests/case-20-open-flags-path.bash \
lib/dialects/linux/tests/case-20-open-flags-tmpf.bash \
lib/dialects/linux/tests/case-20-pidfd-pid.bash \
lib/dialects/linux/tests/case-20-pipe-endpoint.bash \
lib/dialects/linux/tests/case-20-pipe-no-close-endpoint.bash \
- lib/dialects/linux/tests/case-20-pty-endpoint.bash \
lib/dialects/linux/tests/case-20-ux-socket-endpoint.bash \
lib/dialects/linux/tests/case-20-ux-socket-endpoint-unaccepted.bash
EXTRA_DIST += $(LINUX_TESTS) lib/dialects/linux/tests/Makefile lib/dialects/linux/tests/case-00-linux-hello.bash
@@ -180,7 +177,7 @@ TESTS += $(LINUX_TESTS)
endif
# Testing programs
-TESTS += tests/LTbasic tests/LTbigf tests/LTdnlc tests/LTlock tests/LTnfs tests/LTnlink tests/LTsock tests/LTszoff tests/LTunix
+TESTS += tests/LTbasic tests/LTbigf tests/LTdnlc tests/LTlock tests/LTnlink tests/LTsock tests/LTszoff tests/LTunix
check_PROGRAMS += tests/LTbasic tests/LTbigf tests/LTdnlc tests/LTlock tests/LTnfs tests/LTnlink tests/LTsock tests/LTszoff tests/LTunix
tests_LTbasic_SOURCES = tests/LTbasic.c tests/LTlib.c
|